Bug 124044 - OpenOffice Writer Crash When access odbc for the 2nd or 3rc time.
OpenOffice Writer Crash When access odbc for the 2nd or 3rc time.
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
1
All Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-23 01:21 EDT by Chan Min Wai
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-15 06:13:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chan Min Wai 2004-05-23 01:21:32 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; zh-TW; rv:1.5) Gecko/20031125

Description of problem:
I've been using Openoffice (Writer specifically) to connect to one of
the mysql server to get some DB query and get the result to do printing.

Openoffice in Rh9 is working nice, but when I do a fresh install on
FC1 the whole openoffice with this odbc connection will sometime
produce crash, once or a while, open office will crash. When Accessing
thie DB.



Version-Release number of selected component (if applicable):
openoffice.org-1.1.0-16

How reproducible:
Always

Steps to Reproduce:
1. Open Writer, (Pre-configuration of connection to mysql using odbc
is require)
2. press F4 To get Db Manager, have a look in tha table (configure so
that Username & password will prompt for the Db connection) Don't
enter password Or enter a wrong password.
3. Enter the Right Password and have a looking on the table. (Do this
a few time) and ready for a craash.
    

Actual Results:  Crash happen Bug buddy popup...

Expected Results:  Writer should run fine without this crash.

Additional info:

[halim@amtb-av01 halim]$ oowriter                                    
                                            
Starting configuration import into user data ..
.. importing layer file:///home/halim/SetupXcu.temp - succeeded
Starting OpenOffice.org ...
libGL error: XF86DRIAuthConnection failed
Fatal exception: Signal 11
Stack:
/usr/lib/openoffice/program/libsal.so.3[0x122d30]
/usr/lib/openoffice/program/libsal.so.3[0x122ebd]
/usr/lib/openoffice/program/libsal.so.3[0x122f86]
/lib/tls/libpthread.so.0[0xbac0b8]
/usr/lib/libodbc.so(SQLDriverConnect+0x3df)[0x1ad2dbf]
/usr/lib/openoffice/program/libodbcbase2.so(_ZN12connectivity4odbc11OConnection14OpenConnectionERKN3rtl8OUStringElh+0x1d8)[0x7464b96]
/usr/lib/openoffice/program/libodbcbase2.so(_ZN12connectivity4odbc11OConnection9ConstructERKN3rtl8OUStringERKN3com3sun4star3uno8SequenceINS8_5beans13PropertyValueEEE+0xa0d)[0x7465961]
/usr/lib/openoffice/program/libodbcbase2.so(_ZN12connectivity4odbc10ODBCDriver7connectERKN3rtl8OUStringERKN3com3sun4star3uno8SequenceINS8_5beans13PropertyValueEEE+0x220)[0x746136a]
/usr/lib/openoffice/program/libmysql2.so[0x1a9bd03]
/usr/lib/openoffice/program/libdbpool2.so[0x1821f9d]
/usr/lib/openoffice/program/libdbpool2.so[0x1821964]
/usr/lib/openoffice/program/libdbpool2.so[0x18266e4]
/usr/lib/openoffice/program/libdba645li.so[0x1c80ff7]
/usr/lib/openoffice/program/libdba645li.so[0x1c842f8]
/usr/lib/openoffice/program/libdba645li.so[0x1c7b497]
/usr/lib/openoffice/program/libdba645li.so[0x1c8460a]
/usr/lib/openoffice/program/libdba645li.so[0x1c83a5b]
/usr/lib/openoffice/program/libdbu645li.so[0x518efd3]
/usr/lib/openoffice/program/libdbu645li.so[0x526bfdc]
/usr/lib/openoffice/program/libdbu645li.so[0x52c94b7]
/usr/lib/openoffice/program/libdbu645li.so[0x52c91a6]
/usr/lib/openoffice/program/libdbu645li.so[0x52c27e3]
/usr/lib/openoffice/program/libdbu645li.so[0x52c2714]
/usr/lib/openoffice/program/libdbu645li.so[0x52ddbc7]
/usr/lib/openoffice/program/libsvt645li.so(_ZN13SvTreeListBox6ExpandEP11SvLBoxEntry+0x3f)[0x2b987b5]
/usr/lib/openoffice/program/libdbu645li.so[0x52bc82a]
/usr/lib/openoffice/program/libdbu645li.so[0x52c47ff]
/usr/lib/openoffice/program/libdbu645li.so[0x52c3c35]
/usr/lib/openoffice/program/libdbu645li.so[0x52be17f]
/usr/lib/openoffice/program/libsw645li.so[0x40681eb0]
/usr/lib/openoffice/program/libsw645li.so[0x408f212a]
/usr/lib/openoffice/program/libsw645li.so[0x408ee9dd]
/usr/lib/openoffice/program/libsfx645li.so(_ZN14SfxViewFactory14CreateInstanceEP12SfxViewFrameP12SfxViewShell+0x18)[0x30f2994]
/usr/lib/openoffice/program/libsfx645li.so(_ZN12SfxViewFrame22SwitchToViewShell_ImplEth+0x2af)[0x30ff24f]
/usr/lib/openoffice/program/libsfx645li.so(_ZN12SfxViewFrame19SetObjectShell_ImplER14SfxObjectShelli+0x2c6)[0x30fba66]
/usr/lib/openoffice/program/libsfx645li.so(_ZN11SfxTopFrame14InsertDocumentEP14SfxObjectShell+0x376)[0x310aa3c]
/usr/lib/openoffice/program/libsfx645li.so(_ZN14SfxObjectShell16LoadWindows_ImplEP11SfxTopFrame+0xd44)[0x307979c]
/usr/lib/openoffice/program/libsfx645li.so(_ZN11SfxTopFrame14InsertDocumentEP14SfxObjectShell+0x1d5)[0x310a89b]
/usr/lib/openoffice/program/libsfx645li.so(_ZN20LoadEnvironment_Impl10CreateViewEv+0xa2a)[0x2ff199e]
/usr/lib/openoffice/program/libsfx645li.so(_ZN20LoadEnvironment_Impl17LoadDataAvailableEv+0x321)[0x2ff234f]
/usr/lib/openoffice/program/libsfx645li.so(_ZN20LoadEnvironment_Impl17LoadDataAvailableEv+0x39c)[0x2ff23ca]
/usr/lib/openoffice/program/libsfx645li.so(_ZN20LoadEnvironment_Impl17LoadDataAvailableEv+0x39c)[0x2ff23ca]
/usr/lib/openoffice/program/libsfx645li.so(_ZN20LoadEnvironment_Impl5StartEv+0x7ca)[0x2fefd46]
/usr/lib/openoffice/program/libsfx645li.so(_ZN19SfxFrameLoader_Impl4loadERKN3com3sun4star3uno8SequenceINS2_5beans13PropertyValueEEERKNS3_9ReferenceINS2_5frame6XFrameEEE+0x2281)[0x30cec53]
/usr/lib/openoffice/program/libfwk645li.so[0x3468dde]
/usr/lib/openoffice/program/libfwk645li.so[0x346f1b2]
/usr/lib/openoffice/program/libsfx645li.so(_ZN14SfxApplication16OpenDocExec_ImplER10SfxRequest+0x3d6e)[0x2fc0860]
/usr/lib/openoffice/program/libsfx645li.so(_Z37SfxStubSfxApplicationOpenDocExec_ImplP8SfxShellR10SfxRequest+0x26)[0x2fc392e]
/usr/lib/openoffice/program/libsfx645li.so(_ZN13SfxDispatcher9Call_ImplER8SfxShellRK7SfxSlotR10SfxRequesth+0x5a1)[0x311e1e7]
/usr/lib/openoffice/program/libsfx645li.so(_ZN13SfxDispatcher14PostMsgHandlerEP10SfxRequest+0xe5)[0x3120bff]
/usr/lib/openoffice/program/libsfx645li.so(_ZN13SfxDispatcher22LinkStubPostMsgHandlerEPvS0_+0x26)[0x3120b12]
/usr/lib/openoffice/program/libsfx645li.so(_ZN13SfxHintPoster5EventEP7SfxHint+0x2f)[0x3142b75]
/usr/lib/openoffice/program/libsfx645li.so(_ZN13SfxHintPoster20LinkStubDoEvent_ImplEPvS0_+0x1b)[0x3142b27]
/usr/lib/openoffice/program/libvcl645li.so[0x7b534b2]
/usr/lib/openoffice/program/libvcl645li.so(_Z19ImplWindowFrameProcPvP8SalFrametPKv+0x434)[0x7b53c9c]
/usr/lib/openoffice/program/libvcl645li.so(_ZN12SalFrameData19HandleClientMessageEP19XClientMessageEvent+0xb3)[0x7bb43a5]
/usr/lib/openoffice/program/libvcl645li.so(_ZN12SalFrameData8DispatchEP7_XEvent+0x550)[0x7bb4ee6]
/usr/lib/openoffice/program/libvcl645li.so(_ZN10SalDisplay8DispatchEP7_XEvent+0x29a)[0x7be0c66]
/usr/lib/openoffice/program/libvcl645li.so(_ZN10SalDisplay5YieldEh+0x13c)[0x7be09aa]
/usr/lib/openoffice/program/libvcl645li.so[0x7bdc77d]
/usr/lib/openoffice/program/libvcl645li.so(_ZN7SalXLib5YieldEh+0x397)[0x7bdb14b]/usr/lib/openoffice/program/libvcl645li.so(_ZN11SalInstance5YieldEh+0x34)[0x7be4266]
/usr/lib/openoffice/program/libvcl645li.so(_ZN11Application5YieldEv+0x61)[0x7a0c0e7]
/usr/lib/openoffice/program/libvcl645li.so(_ZN11Application7ExecuteEv+0x35)[0x7a0bff9]
Comment 1 Caolan McNamara 2004-10-28 08:19:21 EDT
caolanm->Chan Min Wai:
What's your unixODBC rpm version ? Can you try with a unixODBC >= 2.2.8 
Comment 2 Caolan McNamara 2004-11-15 06:13:06 EST
I don't see this in FC3 anymore. I'm guessing that it might have been
a bug in unixODBC.
Comment 3 Tom Lane 2004-11-15 10:53:39 EST
The stack trace looks like the one in bug #107551, which we concluded was due to a 
double-free bug.  It should be fixed in unixODBC 2.2.8-5 and later.

Note You need to log in before you can comment on or make changes to this bug.